<?php
include_once('classes/qstr.php');
include_once('classes/qfil.php');
$_POST = json_decode(file_get_contents('php://input'), true);

//config
$dir = 'C:\test';

//get user data
$searchText = $_POST['searchText'];

//sanitize
$searchText = filter_var ($searchText, FILTER_SANITIZE_STRING);

//get files
$rawPathAndFileNames = qfil::getRecursiveFiles($dir);
$pathAndFileNames = [];
if(count($rawPathAndFileNames) > 0) {
	foreach($rawPathAndFileNames as $rawPathAndFileName){
		if( $searchText == '' || strpos(strtolower($rawPathAndFileName), strtolower($searchText)) !== false) {
			$rawPathAndFileName = qstr::addClassToUpperLowerFindText($rawPathAndFileName, $searchText, 'highlight');
			$pathAndFileNames[] = $rawPathAndFileName;
		}
	}
}

$data = [];
$data['pathAndFileNames'] = $pathAndFileNames;
$data['howManyMessage'] = qstr::smartPlural(count($pathAndFileNames), 'files');

echo json_encode($data);
?>